nvme_gen_dhchap_key(2)

NAME
nvme_gen_dhchap_key - DH-HMAC-CHAP key generation

SYNOPSIS
int nvme_gen_dhchap_key (char *hostnqn , enum nvme_hmac_alg hmac , unsigned int key_len , unsigned char *secret , unsigned char *key );

ARGUMENTS

hostnqn
    Host NVMe Qualified Name

hmac
    HMAC algorithm

key_len
    Output key length

secret
    Secret to used for digest

key Generated DH-HMAC-CHAP key

RETURN
If key generation was successful the function returns 0 or -1 with errno set otherwise.